Subject: Re: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Protesilaos Stavrou <[email-masked]>
Date: Mon, 16 May 2022 17:52:54 +0300

> From: Eli Zaretskii <[email-masked]>
> Date: Mon, 16 May 2022 16:56:28 +0300
>
>> Date: Mon, 16 May 2022 13:48:27 +0000
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Alan Mackenzie <[email-masked]>
>> 
>> In recent months I've increased max-specpdl-size to 5000 in
>> emacs-lisp/comp.el, and also to 5000 (default is 2500) in
>> leim/Makefile.in for the generation of leim-list.el.  Also
>> max-specpdl-size to 5000 in admin/grammars/Makefile.in.
>
> What value does modus-themes need?

These are the lowest:

    (setq max-lisp-eval-depth 2800
          max-specpdl-size 2900)

>> So, apologies, I was thinking more about max-specpdl-size.  But surely
>> the default values of both these variables should be sufficiently large
>> to handle almost any evaluation, with only the rarest/most specialised of
>> evaluations needing them increased.
>
> I'm asking why cannot modus-themes be just another exception, since
> otherwise we do comply with the "handle almost any evaluation" rule of
> thumb.

I am willing to do whatever you consider the best course of action.

-- 
Protesilaos Stavrou
https://protesilaos.com